DCMTK - Conformance #811

Check whether JPEG encoder is still standard conformant
2018-02-08 16:24 - J6rg Riesmeier

Status: Closed Start date: 2018-02-08
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour

Target version:

Module: dcmijpeg Compiler:

Operating System:

Description

With CP-1653 (and possibly others), the definitions on what is allowed for JPEG-compressed pixel data in a DICOM image has been
further "clarified". It should, therefore, be checked whether DCMTK's JPEG encoder (and command line tools) follow the most recent
definitions in PS3.3 Section C.7.6.3.1.2, PS3.5 Section 8.2.1, etc.

Related issues:

Related to DCMTK - Conformance #717: CP-1653: Clarify Photometric Interpretat... Closed 2017-01-30
Related to DCMTK - Conformance #716: CP-1678: Use of JPEG Family Transfer Syn... Closed 2017-01-30
History

#1 - 2018-02-08 16:36 - JOrg Riesmeier

- Related to Conformance #717: CP-1653: Clarify Photometric Interpretations Permitted for Decompressed and Compressed Transfer Syntaxes-added

#2 - 2018-02-08 16:36 - JOrg Riesmeier
- Related to Conformance #716: CP-1678: Use of JPEG Family Transfer Syntaxes rather than RLE for YBR_FULL-added

#3 - 2018-10-19 09:02 - JO6rg Riesmeier

- Subject changed from Check whether JPEG encoder is still standard comformant to Check whether JPEG encoder is still standard conformant

#4 - 2018-11-13 15:34 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #d74db5757.

#5 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
